%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:              fwbackups
Version:           1.43.3
Release:           0.8.rc4%{?dist}
Summary:           A feature-rich user backup program
Group:             Applications/Archiving
License:           GPLv2+
URL:               http://www.diffingo.com/oss/fwbackups/
Source0:           http://downloads.diffingo.com/fwbackups/fwbackups-%{version}rc4.tar.bz2
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:         noarch

Patch0:            fwbackups-1.43.3rc4-stdoutfd.patch

BuildRequires:     desktop-file-utils
# Pulls gettext, autotools
BuildRequires:     intltool
BuildRequires:     python-devel >= 2.4

Requires:          /usr/bin/crontab
Requires:          tar, rsync
Requires:          notify-python
Requires:          pygtk2, pygtk2-libglade
Requires:          python >= 2.4
Requires:          python-paramiko

%description
fwbackups is a feature-rich user backup program that allows users (including
but not limited to root) to backup their files on demand or periodically via
backup sets. Each set may have different settings meaning users can backup
groups of files and folders to different destinations at different times.
Restores can be performed at any time using an existing backup from fwbackups
or from the contents of an external folder or archive.


%prep
%setup -q -n %{name}-%{version}rc4
%patch0 -p1 -b .stdoutfd

%build
%configure
# We don't implement this yet: make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

#find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


#files -f %{name}.lang
%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/%{name}/

%changelog
* Fri Sep 4 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.8.rc4
- Add patch to fix stdoufd bug during backups

* Sat Aug 22 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.7.rc4
- Update to 1.43.3rc4 (fixes #518690)

* Thu Aug 6 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.6.rc3
- Update to 1.43.3rc3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.43.3-0.5.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.4.rc2
- Add patch to fix one-time backups (#512356)

* Tue Jun 9 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.3rc2
- s/glib2/glib2-devel/

* Fri May 29 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.2.rc2
- Add glib2 BuildRequires

* Thu May 28 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.1.rc2
- Update to 1.43.3rc2 (fixes #495604, #495605)

* Sun Mar 22 2009 Stewart Adam <s.adam at diffingo.com> 1.43.3-0.1.rc1
- Update to 1.43.3rc1 (fixes #489034, #489040, #491469, #491472)
- Change gnome-python2 requirement to gnome-python2-gnome (#460025)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.43.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.43.2-4
- Rebuild for Python 2.6

* Sun Oct 19 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-3
- Add patch for trayNotify bug

* Thu Oct 2 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-2
- Bump for retag

* Thu Oct 2 2008 Stewart Adam <s.adam at diffingo.com> 1.43.2-1
- Update to 1.43.2 final

* Fri Jul 18 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.8.rc3
- BR: gnome-doc-utils

* Fri Jul 18 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.7.rc3
- Update to 1.43.2rc3

* Thu Jul 10 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.6.rc2
- Add patch to backend.py to fix errors with the rsync backend

* Sun Jun 22 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.5.rc2
- Update patch to fix _import() functions

* Sun Jun 22 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.4.rc2
- Add patch to fix _import() functions

* Wed Jun 18 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.3.rc2
- Requires python-paramiko, not build requires!

* Fri Jun 6 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.2.rc2
- BR: python-paramiko

* Sat May 31 2008 Stewart Adam <s.adam@diffingo.com> 1.43.2-0.1.rc2
- Update to 1.43.2rc2
- Don't require vixie-cron, but do require /usr/bin/crontab

* Sun Nov 18 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-6
- BR: libxml2

* Sun Nov 18 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-5
- Remove scrollkeeper scriptlets; Only need that for .omf files
- Add patch to fix RestoreSetName traceback on startup

* Sat Sep 1 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-5
- Add BR python-devel

* Thu Aug 16 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-4
- Add Requires vixie-cron

* Mon Aug 13 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-3
- Update license field

* Wed Jul 25 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-2
- Add Manual fields patch (bz #249592)

* Sun Jul 22 2007 Stewart Adam <s.adam@diffingo.com> 1.43.1-1
- Change get_python_lib() to get_python_lib(1) for x86_64
- Add new Requires and Post(un) scripts because of new documentation
- Switch all instances of fwbackups to %%{name} for consistency
- Update to 1.43.1 (see CHANGELOG file for details on version changes)

* Sun Jul 8 2007 Stewart Adam <s.adam@diffingo.com> 1.43.0-1
- Add BuildRequires python 2.4, gettext
- Add Requires python 2.4, notify-python
- No longer requires redhat-artwork and usermode
- New description
- Update to 1.43.0 (see CHANGELOG file for details on version changes)

* Sat Apr 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta3
- Update to 1.43.0 Beta3

* Mon Mar 26 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta2
- Update to 1.43.0 Beta2

* Sun Mar 18 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta1
- Make release a Beta1 so the upgrade to final upgrade goes smoothly...

* Fri Mar 16 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-3
- Minor changes to package again

* Wed Mar 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-2
- Minor changes

* Mon Feb 12 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-1
- Update to version 1.43

* Sun Jan 28 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.42.2-1
- Update to version 1.42.2 (see CHANGELOG file for details on version changes)

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-3
- Clean up spec for final submission to Fedora Extras

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-2
- Match upstream md5sum
- Fix capitals in %%Source0 tag

* Tue Sep 26 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-1
- Clean up %%install section
- Don't install fwbackups.conf twice
- Make tarball match upstream
- Add the default configuration file to %%doc, and make it replaceable
- Update to version 1.42.1 (see CHANGELOG file for details on version changes)

* Thu Sep 21 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-5
- Add %%requires: pygtk2-libglade

* Wed Sep 13 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-4
- Fix the python_sitearch macro
- Update file paths
- Fix URL tag

* Wed Sep 06 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-3
- Made pam use 'include' statements and not the old pam_stack
- Use relative symlinks

* Sun Sep 03 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-2
- Added CHANGELOG file for detailed information on changes between versions
- Made this .spec and package files suitable for Fedora Extras submission

* Thu Aug 29 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-1
- Fixed errors when removing symbolic links
- Make listing files in RemoveOldBackups list files and directory names, not their contents

* Thu Aug 15 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-0
- Rebuild using sample .spec file from Fedora Extras
- Update to version 1.42 (see CHANGELOG file for details on version changes)

